OpenNMS API 1.2.9

## org.opennms.netmgt.rtc
Class RTCManager.RTCTimerTask

    java.lang.Object
      java.util.TimerTask
          org.opennms.netmgt.rtc.RTCManager.RTCTimerTask

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  RTCManager

private class RTCManager.RTCTimerTask
extends java.util.TimerTask

The timer scheduled task that runs and informs the RTCManager when the timer goes off

Field Summary
`private java.lang.String` `m_id` The timer id

Fields inherited from class java.util.TimerTask
``

Constructor Summary
`(package private)` `RTCManager.RTCTimerTask(java.lang.String id)` Constructor for the timer task

Method Summary
`java.lang.String` `getID()` Return the ID
`void` `run()` Starts the task.

Methods inherited from class java.util.TimerTask
`cancel, scheduledExecutionTime`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_id

    private java.lang.String m_id

  The timer id

Constructor Detail

### RTCManager.RTCTimerTask

    RTCManager.RTCTimerTask(java.lang.String id)

  Constructor for the timer task

Parameters:
  `id` - the timertask ID

Method Detail

### getID

    public java.lang.String getID()

  Return the ID

  Returns:
    the ID

### run

    public void run()

  Starts the task. When run, simply inform the manager that this has been called by the timer

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.